﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Demo
{
    public class MainWindowViewModel
    {

        List<Employee> _employeeList = new List<Employee>();


        public List<Employee> EmployeeList
        {
            get { return _employeeList; }
            set { _employeeList = value; }
        }


        public MainWindowViewModel ()
        {
            EmployeeList.Add(new Employee("Joe", "Smith", new Car("BMW", "White", 2015)));
            EmployeeList.Add(new Employee("Adam", "White", new Car("Honda", "Black", 2016)));
            EmployeeList.Add(new Employee("Bob ", "Cruise", new Car("Toyota", "Red", 2017)));
            EmployeeList.Add(new Employee("Alex", "Snow", new Car("Lexus", "Yellow", 2018)));

        }




    }


    public class Employee
    {
        public Employee(string firstName, string lastName, Car car)
        {
            FirstName = firstName;
            LastName = lastName;
            ECar = car;
        }

        public string FirstName { get; private set; }
        public string LastName { get; private set; }
        public Car ECar { get; private set; }
    }

    public class Car
    {
        public string Make { get; private set; }
        public string Color { get; private set; }
        public int Year { get; private set; }
         
        public Car(string make, string color, int year)
        {
            Make = make;
            Color = color;
            Year = year;
        }

    }



}
